#ifndef ProtoGenWrapper_CreateComChannel_H
#define ProtoGenWrapper_CreateComChannel_H

#include <string>

#include <Command.h>

namespace ProtoGenWrapper
{
	class CreateComChannel : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		CreateComChannel(const std::string& identifier, const std::string& ecuVariantName);
		CreateComChannel(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		CreateComChannel() = delete;

		bool GetValues(std::string& identifier, std::string& ecuVariantName);
		static int GetCommandType();
	};
}

#endif // ProtoGenWrapper_CreateComChannel_H
